ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package feature
  Definition Classes
    ds
- BEDInFormatter
- BEDOutFormatter
- CoverageDataset
- DatasetBoundCoverageDataset
- DatasetBoundFeatureDataset
- FeatureDataset
- GFF3InFormatter
- GFF3OutFormatter
- GTFInFormatter
- GTFOutFormatter
- NarrowPeakInFormatter
- NarrowPeakOutFormatter
- ParquetUnboundCoverageDataset
- ParquetUnboundFeatureDataset
- RDDBoundCoverageDataset
- RDDBoundFeatureDataset

c

org.bdgenomics.adam.ds.feature

# GTFOutFormatter 

###

#### case class GTFOutFormatter(stringency: ValidationStringency = ValidationStringency.STRICT) extends OutFormatter[Feature] with Product with Serializable

OutFormatter that reads streaming GTF format.

stringency

  Validation stringency. Defaults to ValidationStringency.STRICT.

Linear Supertypes
Product, Equals, OutFormatter[Feature], Serializable, Serializable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GTFOutFormatter
2. Product
3. Equals
4. OutFormatter
5. Serializable
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new GTFOutFormatter(stringency: ValidationStringency = ValidationStringency.STRICT)

   stringency

     Validation stringency. Defaults to ValidationStringency.STRICT.

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
8.  val gtfParser: GTFParser
9.  final def isInstanceOf[T0]: Boolean
   Definition Classes
     Any
10.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
12.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
13.  def read(is: InputStream): Iterator[Feature]

    Reads features from an input stream in GTF format.

    Reads features from an input stream in GTF format.

    is

      An InputStream connected to the process we are piping from.

    returns

      Returns an iterator of Features read from the stream.

    Definition Classes
      GTFOutFormatter → OutFormatter
14.  val stringency: ValidationStringency
15.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
16.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
17.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Product

### Inherited from Equals

### Inherited from OutFormatter[Feature]

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped